{
  "formatter": {
    "enabled": true,
    "formatWithErrors": false,
    "indentStyle": "space",
    "indentWidth": 2,
    "lineEnding": "lf",
    "lineWidth": 320,
    "attributePosition": "auto",
    "bracketSameLine": false,
    "bracketSpacing": true,
    "expand": "auto",
    "useEditorconfig": true
  },
  "javascript": {
    "formatter": {
      "jsxQuoteStyle": "double",
      "quoteProperties": "asNeeded",
      "trailingCommas": "es5",
      "semicolons": "asNeeded",
      "arrowParentheses": "always",
      "bracketSameLine": false,
      "quoteStyle": "single",
      "attributePosition": "auto",
      "bracketSpacing": true
    }
  },
  "json": { "formatter": { "enabled": false } },
  "html": {
    "formatter": {
      "indentScriptAndStyle": false,
      "selfCloseVoidElements": "always"
    }
  },
  "linter": {
    "rules": {
      "style": {
        "noNonNullAssertion": "off"
      },
      "a11y": {
        "useKeyWithClickEvents": "off",
        "noStaticElementInteractions": "off"
      },
      "complexity": {
        "noUselessFragments": "off"
      },
      "suspicious": {
        "noImplicitAnyLet": "off",
        "noImplicitAny": "off"
      }
    }
  }
}
